<?php

/**
 * Bulk Order Addon Init
 *
 * @package WHOLESALEX
 * @since 1.0.7
 */

use WHOLESALEX_PRO\WHOLESALEX_PRO_Initialization;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'init', 'wholesalex_bulkorder_init' );

/**
 * WholesaleX Bulk Order Init
 *
 * @return void
 */
function wholesalex_bulkorder_init() {
	$is_bulkorder_enable = wholesalex()->get_setting( 'wsx_addon_bulkorder' );
	if ( 'yes' === $is_bulkorder_enable && wholesalex_pro()->is_active_b2b_user() ) {
		if ( ! wp_script_is( 'wholesalex_bulkorder', 'registered' ) ) {
			WHOLESALEX_PRO_Initialization::register_scripts();
		}
		require_once WHOLESALEX_PRO_PATH . 'addons/bulkorder/BulkOrder.php';
		new \WHOLESALEX_PRO\BulkOrder();
		require_once WHOLESALEX_PRO_PATH . 'addons/bulkorder/PurchaseLists.php';
		new \WHOLESALEX_PRO\PurchaseLists();

	}
}
