<?php

defined( 'ABSPATH' ) || exit;

$user        = get_user_by( 'login', $user_login );
$user_email  = $user->user_email; //phpcs:ignore
$permissions = get_user_meta( $user->ID, '__wholesalex_permissions', true );
$parent      = get_user_by( 'ID', $parent_id );

$menu_endpoint = apply_filters( 'wholesalex_conversation_addon_my_account_end_point', __( 'wsx-conversation', 'wholesalex-pro' ) );
$conversation_msg_url = home_url('/my-account/') . $menu_endpoint . '?wsxview=' . $conversation_id;

do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<?php /* translators: %s: Customer username */ ?>
<p><?php printf( esc_html_x( 'Hello,' ,'wholesalex-pro' ) ); ?></p>
<p><?php printf(esc_html_x('Please note that you’ve received a new reply. Check the conversations section and reply.','wholesalex-pro') ); //phpcs:ignore ?></p>
<p><?php printf(esc_html_x("Please check new reply ", 'wholesalex-pro')); ?> <a href="<?php echo esc_url($conversation_msg_url); ?>">Click here</a> </p>
<p><?php printf(esc_html_x("Thanks.", 'wholesalex-pro') ); //phpcs:ignore ?>

<?php
/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}

do_action( 'woocommerce_email_footer', $email );
