(function ($) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 */

    
    const isValidEmail = (email='') => {
        if(email===''){
            return false;
        }
        if(email.indexOf('@')=='-1') {
            return false;
        }
        let tokens = email.split('@');
        if(tokens.length>2 || tokens[1].indexOf('.')==='-1') {
            return false;
        }
        let domain = tokens[1].split('.');
        if(domain.length<2) {
            return false;
        }

        return true;
    }
    $(document).on('click', '.wholesalex_request_custom_quote_btn', function(e) {
        e.preventDefault();
      if('yes'==wsx_raq.hide_quote_form_logged_in_user && wsx_raq.is_user_logged_in) {
            submitQuoteRequest();
        } else {
            document.querySelector('.wholesalex_add_to_quote_modal').style.display = 'block';
            $('#wholesalex_quote_product_id').val(e.target.dataset.product_id);
        }
    });

    const submitQuoteRequest = (e=false)=> {
        if(e) {
            e.preventDefault();
            var formData = new FormData(e.target);
            if(!isValidEmail(formData.get('wholesalex_quote_email'))) {
                window.alert(wsx.i18n.please_enter_a_valid_email);
                return;
            };
        }  else {
            var formData = new FormData();

        }
       
        formData.append('action','send_quote_request_action');
        formData.append('wpnonce', document.getElementById('wholesalex_request_quote_nonce').value);
        

        jQuery(".wholesalex_loader").show();
        fetch(
        wholesalex.ajax, {
        method: 'POST',
        body:formData ,
        })
        .then(res => res.json())
        .then(res => {
            if(res.data) {
                if(res.data.type) {
                    switch (res.data.type) {
                        case 'user':
                            if(window.confirm(res.data.message)) {
                                window.location.href = res.data.redirect;
                            } else {
                                window.location.href = res.data.shop;
                            }
                            break;
                        case 'guest':
                            if(window.confirm(res.data.message)) {
                                window.location.href = res.data.redirect;
                            } else {
                                window.location.reload();
                            }

                            break;

                        default:
                            break;
                    }
                }
            }
        })
    }
    $("form#wholesalex_request_custom_quote_form").on('submit',submitQuoteRequest);

    document.addEventListener("click",
        function (event) {
            if ( event.target.matches(".close-modal-icon") || event.target.matches('.wsx-raq-close-icon') || !event.target.closest(".wholesalex_add_to_quote_modal")  ) {
                if(!event.target.matches(".wholesalex_request_custom_quote_btn")) {
                    document.querySelector('.wholesalex_add_to_quote_modal').style.display='none';
                }
            }
        },
        false
    );

    //Assign Variation Quantity For Request Quote
    $('.variations_form').on('change', 'input.qty', function() {
        $('#wholesalex_quote_product_quantity').val( $(this).val() );
    });

    //Show Add Quote Request Button Base on Condition in Variable Products
    $(".variation_id").change(function() {
        let variationProductId = $('.wholesalex_request_custom_quote_btn');
        let isAllProduct       = variationProductId.data('is-all-product');
        let includeId          = String(variationProductId.data('include-id')).split(",");
        let excludeId          = String(variationProductId.data('exclude-id')).split(",");
        let include_variations = String(variationProductId.data('in-variation-id')).split(",");
        let exclude_variations = String(variationProductId.data('ex-variations-id')).split(",");
        let include_cat        = String(variationProductId.data('include-cat')).split(",");
        let exclude_cat        = String(variationProductId.data('exclude-cat')).split(",");
        let currentCat         = variationProductId.data('categories');
        let parentID           = variationProductId.data('parent-id');
        let productId          = $(this).val();
        
        function requestButtonShow () {
            $('#wholesalex_quote_btn').css("display", "block").attr("data-product_id", productId);
            $('.ct-cart-actions .single_add_to_cart_button').css("display", "none");
        }

        function requestButtonHide() {
            $('#wholesalex_quote_btn').css("display", "none").attr("data-product_id", '');
            $('.ct-cart-actions .single_add_to_cart_button').css("display", "block");
        }

        if ( isAllProduct == 1 ) {
            requestButtonShow ();
        }else if ( includeId.includes(String( parentID )) && productId ) {
            requestButtonShow ();
        } else if ( excludeId != '' ) {
            if ( excludeId.includes(String( parentID )) ) {
                requestButtonHide();
            }else{
                requestButtonShow ();
            }
        } else if ( include_variations.includes(String( productId )) && productId != '' ) {
            requestButtonShow ();
        } else if ( exclude_variations != '' ) {
            if ( exclude_variations.includes(String( productId )) ) {
                requestButtonHide();
            }else {
                requestButtonShow ();
            }
        } else if ( include_cat.includes(String( currentCat )) && productId != '' ) {
            requestButtonShow ();
        } else if ( exclude_cat != '' ) {
            if ( exclude_cat.includes(String( currentCat )) ) {
                requestButtonHide();
            }else {
                requestButtonShow ();
            }
        }
        else{
            requestButtonHide();
        }

    });

})(jQuery);

