<?php

defined( 'ABSPATH' ) || exit;


do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<?php /* translators: %s: Customer username */ ?>
<p><?php printf( esc_html_x( 'Hi,','WholesaleX Request A Quote Make Offer Email' ,'wholesalex-pro' ) ); ?></p>
<?php /* translators: %1$s: Site title, %2$s: Username, %3$s: My account link */ ?>
<p><?php printf( esc_html_x( 'Thank you for requesting a quote, %s. Please check out the following offer from us. And let us know your thoughts.','WholesaleX Request A Quote Make Offer Email', 'wholesalex-pro' ), esc_html( $quote_title ) ); ?>
<?php
if ( $expire_date ) {
	?>
	<p><?php printf( esc_html_x( 'This offer will be expire on %s', 'WholesaleX Request A Quote Make Offer Email','wholesalex-pro' ), $expire_date ); //phpcs:ignore ?>
	<?php
}
?>
<?php
	/*
	* @hooked WC_Emails::order_details() Shows the order details table.
	* @hooked WC_Structured_Data::generate_order_data() Generates structured data.
	* @hooked WC_Structured_Data::output_structured_data() Outputs structured data.
	* @since 2.5.0
	*/
	do_action( 'woocommerce_email_order_details', $order, $sent_to_admin, $plain_text, $email );

	/*
	* @hooked WC_Emails::order_meta() Shows order meta data.
	*/
	do_action( 'woocommerce_email_order_meta', $order, $sent_to_admin, $plain_text, $email );

	/*
	* @hooked WC_Emails::customer_details() Shows customer details
	* @hooked WC_Emails::email_address() Shows email address
	*/
	do_action( 'woocommerce_email_customer_details', $order, $sent_to_admin, $plain_text, $email );
?>

<p>
	<div style="display: flex; align-items:center; justify-content:center; gap:20px;"> 
		<a href="<?php echo esc_url( $accept_url ); ?>" style="text-align:center"><?php echo esc_html_x( 'Accept','WholesaleX Request A Quote Make Offer Email', 'wholesalex-pro' ); ?> </a>
		<a href="<?php echo esc_url( $reject_url ); ?>" style="text-align:center"><?php echo esc_html_x( 'Reject','WholesaleX Request A Quote Make Offer Email', 'wholesalex-pro' ); ?> </a>
	</div>
</p>


<?php
/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}

do_action( 'woocommerce_email_footer', $email );
