<?php

defined( 'ABSPATH' ) || exit;


do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<?php /* translators: %s: Customer username */ ?>
<p><?php printf( esc_html_x( 'Hi,','WholesaleX Request A Quote Offer Expiring Email' ,'wholesalex-pro' ) ); ?></p>
<?php /* translators: %1$s: Site title, %2$s: Username, %3$s: My account link */ ?>
<p><?php printf( esc_html_x( 'Unfortunately, the offer we sent, based on your quote request (%1$s), will expire on %2$s. So, you can not get your desired products at our offered price after the expiry date.','WholesaleX Request A Quote Offer Expiring Email', 'wholesalex-pro' ), esc_html( $quote_title ), esc_html( $expire_date ) ); ?>
<?php
	/*
	* @hooked WC_Emails::order_details() Shows the order details table.
	* @hooked WC_Structured_Data::generate_order_data() Generates structured data.
	* @hooked WC_Structured_Data::output_structured_data() Outputs structured data.
	* @since 2.5.0
	*/
	do_action( 'woocommerce_email_order_details', $order, $sent_to_admin, $plain_text, $email );

	/*
	* @hooked WC_Emails::order_meta() Shows order meta data.
	*/
	do_action( 'woocommerce_email_order_meta', $order, $sent_to_admin, $plain_text, $email );

	/*
	* @hooked WC_Emails::customer_details() Shows customer details
	* @hooked WC_Emails::email_address() Shows email address
	*/
	do_action( 'woocommerce_email_customer_details', $order, $sent_to_admin, $plain_text, $email );
?>

<p>
	<div style="display: flex; align-items:center; justify-content:center; gap:20px;"> 
		<a href="<?php echo esc_url( $accept_url ); ?>" style="text-align:center"><?php echo esc_html_x( 'Accept','WholesaleX Request A Quote Offer Expiring Email', 'wholesalex-pro' ); ?> </a>
		<a href="<?php echo esc_url( $reject_url ); ?>" style="text-align:center"><?php echo esc_html_x( 'Reject','WholesaleX Request A Quote Offer Expiring Email','wholesalex-pro' ); ?> </a>
	</div>
</p>


<?php
/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}

do_action( 'woocommerce_email_footer', $email );
