<?php

defined( 'ABSPATH' ) || exit;
$discount_amount = 0;
$total_amount    = 0;
$tax = 0;

?>
<table class="wholesalex_quote_table" <?php echo $is_email ? 'style="border: 1px solid #e0e0e0; padding: 5px; text-align: center; margin-top: 10px; width: 100%; border-collapse: collapse;"' : ''; ?> >
	<thead>
		<tr>
			<th><?php echo esc_html_e( 'Product Name', 'wholesalex-pro' ); ?></th>
			<th><?php echo esc_html_e( 'Price', 'wholesalex-pro' ); ?></th>
			<th><?php echo esc_html_e( 'No. of Qty', 'wholesalex-pro' ); ?></th>
			<?php
			if ( $is_backend ) {
				?>
					<th><?php echo esc_html_e( 'Discount', 'wholesalex-pro' ); ?></th>
				<?php
			}
			?>
		</tr>
	</thead>
	<tbody>
		<?php
		foreach ( $quote_data as $item ) {
			$item = (array) $item;
			$total_amount += $item['subtotal'];
			$tax+=isset($item['tax'])?$item['tax']:0;
			?>
			<tr>
				<td> <a href="<?php echo  esc_url(get_permalink( $item['variation_id'] ? $item['variation_id'] : $item['product_id'] ));//phpcs:ignore ?>"><?php echo esc_html( $item['product_title'] ); ?></a></td>
				<td><?php echo ($is_backend ? wc_price( $item['subtotal'] ) : 'hidden'); // phpcs:ignore ?></td>
				<td><?php echo esc_html( $item['quantity'] ); ?></td>
				<?php
				if ( $is_backend ) {
					$discount_amount += ( $item['total'] - $item['subtotal'] );
					?>
					<td><?php echo esc_html( -( $item['total'] - $item['subtotal'] ) ); ?></td>
					<?php
				}
				?>
			</tr>
			<?php
		}
		?>
	</tbody>
</table>
<div class="quote_table_footer" <?php echo $is_email ? 'style="display: flex; align-items: center; gap: 15px; padding: 10px; padding-left: 0;"' : ''; ?> >
	<?php
	if ( $is_backend ) {
		?>
			<span class="quote-table_footer-text text_total_discount" <?php echo $is_email ? 'style="font-size: 18px; color: #272727; font-weight: bold;"' : ''; ?> ><?php echo esc_html_e( 'Total Discounts: ', 'wholesalex-pro' ) . wc_price( -$discount_amount );//phpcs:ignore ?></span>
		<?php
	}
	?>
	<span class="quote-table_footer-text text_total_amount" <?php echo $is_email ? 'style="font-size: 18px; color: #272727; font-weight: bold;"' : ''; ?> ><?php echo esc_html_e( 'Total Amount: ', 'wholesalex-pro' ) . ($is_backend ? wc_price( $total_amount + $discount_amount ) : wc_price( 0 ));//phpcs:ignore ?></span>
	<span class="quote-table_footer-text text_total_amount" <?php echo $is_email ? 'style="font-size: 18px; color: #272727; font-weight: bold;"' : ''; ?> ><?php echo esc_html_e( 'Total Tax: ', 'wholesalex-pro' ) . wc_price( $tax );//phpcs:ignore ?></span>

</div>
