<?php
namespace WHOLESALEX_PRO;
use Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType;

/**
 * WholesaleX Wallet Payment Gateway Integration
 *
 * @since v.todo
 */
final class WholesaleX_Parent_Approval_Gateway extends AbstractPaymentMethodType {

	/**
	 * Payment Method Name
	 *
	 * @var string
	 */
	protected $name = 'wholesalex_subaccount_order_approval';

	/**
	 * Initializes the payment method type.
	 */
	public function initialize() {
		$this->settings = get_option( 'woocommerce_wholesalex_subaccount_order_approval_settings', array() );

	}

	
	public function get_payment_method_script_handles() {

		
		wp_register_script( 'wholesalex_parent_approval_gateway_script', WHOLESALEX_PRO_URL . 'assets/js/whx_parent_approval_gateway.js', array('wc-blocks-registry', 'wc-price-format', 'wc-settings', 'wp-element', 'wp-html-entities', 'wp-i18n'), WHOLESALEX_PRO_VER ,true );

		if ( function_exists( 'wp_set_script_translations' ) ) {
			wp_set_script_translations( 'wholesalex_parent_approval_gateway_script', 'wholesalex-pro', WHOLESALEX_PRO_PATH . 'languages/' );
		}

		return array( 'wholesalex_parent_approval_gateway_script' );
	}

	public function get_payment_method_data() {
		return array(
			'title'          => $this->get_setting( 'title' ),
			'description'    => $this->get_setting( 'description' ),
			'supports'       => array('products','refunds'),
            'canMakePayment' => true
		);
	}
}
