<?php

defined( 'ABSPATH' ) || exit;

$user        = get_user_by( 'login', $user_login );
$user_email = $user->user_email; //phpcs:ignore
$permissions = get_user_meta( $user->ID, '__wholesalex_permissions', true );
$parent      = get_user_by( 'ID', $parent_id );

do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<?php /* translators: %s: Customer username */ ?>
<p><?php printf( esc_html_x( 'Hi %s,', 'WholesaleX New Subaccount Created Email' ,'wholesalex-pro' ), esc_html( $user_login ) ); ?></p>
<?php /* translators: %1$s: Site title, %2$s: Username, %3$s: My account link */ ?>
<p><?php printf(esc_html_x('We are thrilled to inform you that your subaccount has been successfully created by %s.','WholesaleX New Subaccount Created Email','wholesalex-pro'),$parent->user_login); //phpcs:ignore ?>
<p>
<?php
if ( is_array( $permissions ) && ! empty( $permissions ) ) {
    printf(esc_html_x('You now have access to manage your account with the following permissions:','WholesaleX New Subaccount Created Email','wholesalex-pro'),$parent->user_login); //phpcs:ignore
	?>
	<p> 
		<ul> 
			<?php
			foreach ( $permissions as $permission ) {
				$permission_name = ucwords( str_replace( '_', ' ', $permission ), ' ' );
				?>
						<li> <?php echo esc_html( $permission_name ); ?>  </li>
					<?php
			}
			?>
		</ul> 
	</p>
	<?php
}

?>
<p><?php printf( esc_html_x('Please keep your login credentials secure and do not share them with anyone. You can now log in to your subaccount using the following details:','WholesaleX New Subaccount Created Email','wholesalex-pro') ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></p>
<p><?php printf(esc_html_x("Username: %s",'WholesaleX New Subaccount Created Email','wholesalex-pro'),$user_login); //phpcs:ignore ?>
<p><?php printf(esc_html_x("Password: %s",'WholesaleX New Subaccount Created Email','wholesalex-pro'),$user_pass); //phpcs:ignore ?>

<?php
/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}

do_action( 'woocommerce_email_footer', $email );
