<?php

defined( 'ABSPATH' ) || exit;

$user       = get_user_by( 'login', $user_login );
$user_email = $user->user_email; //phpcs:ignore
$parent     = get_user_by( 'ID', $parent_id );

do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<?php /* translators: %s: Customer username */ ?>
<p><?php printf( esc_html_x( 'Hi %s,','WholesaleX Subaccount Order Approval Require Email(Admin)' ,'wholesalex-pro' ), esc_html( $parent->user_login ) ); ?></p>
<?php /* translators: %1$s: Site title, %2$s: Username, %3$s: My account link */ ?>
<p><?php printf( esc_html_x( 'One of your subaccounts, %s , has placed an order. The details of the order are as follows:','WholesaleX Subaccount Order Approval Require Email(Admin)', 'wholesalex-pro' ), esc_html( $user_login ) ); ?>
<?php
	/*
	* @hooked WC_Emails::order_details() Shows the order details table.
	* @hooked WC_Structured_Data::generate_order_data() Generates structured data.
	* @hooked WC_Structured_Data::output_structured_data() Outputs structured data.
	* @since 2.5.0
	*/
	do_action( 'woocommerce_email_order_details', $order, $sent_to_admin, $plain_text, $email );

	/*
	* @hooked WC_Emails::order_meta() Shows order meta data.
	*/
	do_action( 'woocommerce_email_order_meta', $order, $sent_to_admin, $plain_text, $email );

	/*
	* @hooked WC_Emails::customer_details() Shows customer details
	* @hooked WC_Emails::email_address() Shows email address
	*/
	do_action( 'woocommerce_email_customer_details', $order, $sent_to_admin, $plain_text, $email );
?>

<p> <?php echo esc_html_x( 'As the parent account holder, we request your approval for this order. Please review the order details and take the necessary action.','WholesaleX Subaccount Order Approval Require Email(Admin)', 'wholesalex-pro' ); ?> </p>
<p>
<a href="<?php echo esc_url( $order->get_view_order_url() ); ?>" style="text-align:center"><?php echo esc_html_x( 'Review This Order','WholesaleX Subaccount Order Approval Require Email(Admin)', 'wholesalex-pro' ); ?> </a>
</p>


<?php
/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}

do_action( 'woocommerce_email_footer', $email );
