<?php

defined( 'ABSPATH' ) || exit;

$user       = get_user_by( 'login', $user_login );
$user_email = $user->user_email; //phpcs:ignore
$parent     = get_user_by( 'ID', $parent_id );

do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<?php /* translators: %s: Customer username */ ?>
<p><?php printf( esc_html_x( 'Hi %s,','WholesaleX Subaccount Order Approved', 'wholesalex-pro' ), esc_html( $user_login ) ); ?></p>
<p><?php printf( esc_html_x( 'Your order %s has been approved by %s','WholesaleX Subaccount Order Approved','wholesalex-pro' ), $order->get_id(), $parent->user_login ); //phpcs:ignore ?>
<?php if ( $order->needs_payment() ) { ?>
	<p>
	<?php
	printf(
		esc_html_x( 'Your invoice is below, with a link to make payment.','WholesaleX Subaccount Order Approved', 'wholesalex-pro' )
	);
	?>
	</p>

	<?php
}

/**
 * Hook for the woocommerce_email_order_details.
 *
 * @hooked WC_Emails::order_details() Shows the order details table.
 * @hooked WC_Structured_Data::generate_order_data() Generates structured data.
 * @hooked WC_Structured_Data::output_structured_data() Outputs structured data.
 * @since 2.5.0
 */
do_action( 'woocommerce_email_order_details', $order, $sent_to_admin, $plain_text, $email );

/**
 * Hook for the woocommerce_email_order_meta.
 *
 * @hooked WC_Emails::order_meta() Shows order meta data.
 */
do_action( 'woocommerce_email_order_meta', $order, $sent_to_admin, $plain_text, $email );

/**
 * Hook for woocommerce_email_customer_details.
 *
 * @hooked WC_Emails::customer_details() Shows customer details
 * @hooked WC_Emails::email_address() Shows email address
 */
do_action( 'woocommerce_email_customer_details', $order, $sent_to_admin, $plain_text, $email );

?>
<a href="<?php echo esc_url( $order->get_checkout_payment_url() ); ?>" style="text-align:center"><?php echo esc_html_x( 'Pay For This Order','WholesaleX Subaccount Order Approved', 'wholesalex-pro' ); ?></a>
<?php

/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}

do_action( 'woocommerce_email_footer', $email );
