<?php
/**
 * Wallet Addon Init
 *
 * @package WHOLESALEX
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'init', 'wholesalex_wallet_init' );
/**
 * WholesaleX Wallet Init
 *
 * @return void
 * @since 1.0.0
 */
function wholesalex_wallet_init() {
	$is_enable = wholesalex()->get_setting( 'wsx_addon_wallet' );
	if ( 'yes' === $is_enable ) {
		require_once WHOLESALEX_PRO_PATH . 'addons/wallet/class-wholesalex-wallet-manage.php';
		require_once WHOLESALEX_PRO_PATH . 'addons/wallet/class-wholesalex-payment-gateway.php';
		new \WHOLESALEX_PRO\WHOLESALEX_Wallet_Manage();
		flush_rewrite_rules();
	}
}

add_action( 'woocommerce_blocks_loaded', function(){
    $is_enable = wholesalex_pro()->get_setting( 'wsx_addon_wallet' );
        if (  'yes' === $is_enable && class_exists( 'Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType' ) ) {
            require_once WHOLESALEX_PRO_PATH . 'addons/wallet/class-wholesalex-wallet-payment-block.php';
            add_action(
                'woocommerce_blocks_payment_method_type_registration',
                function( Automattic\WooCommerce\Blocks\Payments\PaymentMethodRegistry $payment_method_registry ) {
                    $payment_method_registry->register( new \WHOLESALEX_PRO\WholesaleX_Wallet_Gateway_Blocks_Support() );
                }
            );
        }
} );


/**
 * WholesaleX Wallet Instance
 *
 * @return WholesaleX_Wallet WholesaleX Wallet Instance.
 * @since 1.0.0
 */
function wholesalex_wallet() {
	require_once WHOLESALEX_PRO_PATH . 'addons/wallet/class-wholesalex-wallet.php';
	return WHOLESALEX_PRO\WholesaleX_Wallet::instance();
}
