(function ($) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 */

    const wholesalexConversationSendAjax = (data)=>{
        $.ajax({
			url: wholesalex.ajax,
			type: 'POST',
			data,
            beforeSend: function() {
                $('#wholesalex_conversation_submit').css( { "padding" : "0 35px" } );
                $('#wholesalex_conversation_submit').addClass('wsx-btn-loading');
            },
			success: function (data) { 
                if(!data.success) {                   
                    $('.woocommerce-notices-wrapper').append(data.data.messages);
                } else {
                    location.reload();
                }
			},
			error: function (xhr) {

			},
            complete: function(){
                $('#wholesalex_conversation_submit').css( { "padding" : "0 20px"} );
                $('#wholesalex_conversation_submit').removeClass('wsx-btn-loading');
            },
		});
    }

	$(document).on('submit', '#wholesalex_new_conversation', function (e) {
		e.preventDefault();

		var data = ($(this).serializeArray());
		data.push({name:'action',value:'wholesalex_new_conversation'});
        if(wholesalex_conversation?.recaptcha_status=='yes') {
            grecaptcha.ready(function() {
                grecaptcha.execute(`${wholesalex_conversation.recaptcha_site_key}`, {
                    action: 'submit'
                }).then(function(token) {
                    data.push({name:'token',value:token});
                    wholesalexConversationSendAjax(data);
                });
            });
        } else {
            wholesalexConversationSendAjax(data);
        }		
	});
	$(document).on('submit', '#wholesalex_conversatio_reply', function (e) {
		e.preventDefault();

		var data = ($(this).serializeArray());
		data.push({name:'action',value:'wholesalex_conversation_reply'});
        if(wholesalex_conversation?.recaptcha_status=='yes') {
            grecaptcha.ready(function() {
                grecaptcha.execute(`${wholesalex_conversation.recaptcha_site_key}`, {
                    action: 'submit'
                }).then(function(token) {
                    data.push({name:'token',value:token});
                    wholesalexConversationSendAjax(data);
                });
            });
        } else {
            wholesalexConversationSendAjax(data);
        }		
	});
})(jQuery);
