<?php //phpcs:ignore
namespace WHOLESALEX_PRO;


defined( 'ABSPATH' ) || exit;
/**
 * Settings Class
 */
class Settings {

	/**
	 * Constructor
	 */
	public function __construct() {
		if ( ! wholesalex_pro()->is_active() ) {
			return;
		}
		
		add_filter( 'wholesalex_settings_product_tier_layout', array( $this, 'product_tier_layout' ), 30 );
		add_filter( 'wholesalex_single_product_tier_layout', array( $this, 'product_tier_layout' ), 30 );

		// add_filter( 'wholesalex_setting_fields', array( $this, 'add_settings' ) );

		// Role Settings
	}


	/**
	 * Product Tier Layout
	 *
	 * @param array $options Options.
	 * @return array
	 * @since 1.0.0
	 * @since 1.0.1 More Tire Layout Added.
	 * @since 1.0.6 Delete Existing Code and Rewrite for new pricing plan.
	 */
	public function product_tier_layout( $options ) {
		return wholesalex_pro()->unlock_layouts( $options );
	}


	/**
	 * Add Settings
	 *
	 * @param array $fields Settings Fields.
	 * @return array
	 * @since 1.0.9 BxGY Free Product on Single Product Page Settings Added.
	 */
	public function add_settings( $fields ) {
		$field                     = array(
			// '_settings_show_bxgy_free_products_on_single_product_page' => array(
			// 	'type'    => 'switch',
			// 	'label'   => __( 'Buy X Get Y (Show free item on Product Page)', 'wholesalex-pro' ),
			// 	'desc'    => __( 'Click on the check box, if you want to showcase the free product(s) on the single product page.', 'wholesalex-pro' ),
			// 	'help'    => '',
			// 	'default' => '',
			// ),
			// '_settings_bogo_discount_text' => array(
			// 	'type'        => 'text',
			// 	'label'       => __( 'Bogo Discount Text ', 'wholesalex-pro' ),
			// 	'placeholder' => '',
			// 	'help'        => __( 'Use the following Smart Tags to highlight the BOGO discount on the cart page. ', 'wholesalex-pro' ) . 'Smart Tags: {x} => Min Quantity, {product_title} => Product Title, {y} => Free Quantity',
			// 	'default'     => '{product_title} (BOGO Discounts)',
			// ),
		);
		$fields['general']['attr'] = wholesalex()->insert_into_array( $fields['general']['attr'], $field );
		return $fields;
	}
}
