<?php
/**
 * Plugin Name: WholesaleX Pro
 * Description: WooCommerce Wholesale Pricing, Discounts & B2B Plugin.
 * Version:     1.4.6
 * Author:      wpxpo
 * Author URI:  https://wpxpo.com/
 * Text Domain: wholesalex-pro
 * License:     GPLv3
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 **/

defined( 'ABSPATH' ) || exit;

// Define.
define( 'WHOLESALEX_PRO_VER', '1.4.6' );
define( 'WHOLESALEX_PRO_URL', plugin_dir_url( __FILE__ ) );
define( 'WHOLESALEX_PRO_PATH', plugin_dir_path( __FILE__ ) );

update_option( 'edd_wholesalex_license_key', '123-123-123' );
update_option( 'edd_wholesalex_license_status', 'valid' );

// Language Load.
add_action( 'init', 'wholesalex_pro_language_load' );
/**
 * Load WholesaleX Pro Language Text Domain.
 *
 * @return void
 */
function wholesalex_pro_language_load() {
	load_plugin_textdomain( 'wholesalex-pro', false, basename( dirname( __FILE__ ) ) . '/languages/' );
}

// Common Function.
if ( ! function_exists( 'wholesalex_pro' ) ) {
	/**
	 * Initialize Common Functions.
	 */
	function wholesalex_pro() {
		require_once WHOLESALEX_PRO_PATH . 'classes/Functions.php';
		return new \WHOLESALEX_PRO\Functions();
	}
}

// Plugin Initialization.
if ( ! class_exists( 'WHOLESALEX_PRO_Initialization' ) ) {
	require_once WHOLESALEX_PRO_PATH . 'classes/Initialization.php';
	new \WHOLESALEX_PRO\WHOLESALEX_PRO_Initialization();
}
